<template>
<div>
    <div class="row">
     <div class="col-1"></div>
        <div class="col-10">
            <div class="card">
              <div class="card-header text-left">
                <span style="font-family:'times';font-size:150%;font-weight:bold"><i class="fas fa-align-justify  icon-2xt " ></i> Medicaments</span>
                </div>
                <div class="card-body">
                 <div class="form-group row">
                 
                 <router-link to="/medicament" class="btn btn-primary" style="margin-left:2%"><i class="fas fa-align-justify icon-2xt"></i>Gerer les medicaments</router-link>
                 <router-link to="/medicament-add" class="btn btn-success" style="margin-left:2%"><i class="fab fa-medrt icon-2xt " ></i> Ajouter un medicament</router-link>
                 </div>
               
                <div class="card-block table-border-style">
                                                <div class="table-responsive">
                                                    <table class="table" id="tabledata">
                                                        <thead>
                                                            <tr>
                                                                <th>#</th>
                                                                <th>Nom du médicament</th>
                                                                <th>Nom généric</th>
                                                                <th>Type du médicament</th>
                                                                <th>Categorie</th>
                                                                <th>Medicamenté</th>
                                                                <th colspan="3">Action</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            <tr v-for="(data,index) in infodata" :key="index">
                                                                <th scope="row">{{index+1}}</th>
                                                                <td>{{data.nom_medicament}} </td>
                                                                <td>{{data.nom_generic}}  </td>
                                                                <td>{{data.type_medicament}}  </td>
                                                                <td>{{data.categorie}} </td>
                                                                <td>{{data.unit}} </td>
                                                                <td>
                                                                <div class="row">
                                                                <a class="btn btn-info text-center col-4"> <i class="fas fa-eye"></i></a>
                                                                <router-link  :to="{name:'medicament-edit',params:{id:data.id}}"  class="btn btn-primary text-center col-4 "> <i class="fas fa-edit"></i></router-link>
                                                                <a class="btn btn-danger text-center col-4" v-on:click="deleteMedicament(data.id)"><i class="fas fa-trash-alt"></i></a>
                                                                </div>
                                                                </td>
                                                            </tr>
                                                         
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                </div>
            </div>
        </div>
    </div>
</div>

</template>

<script>


export default {
  name: 'ListMedicament',
  components: {
  },
  data(){
      return {
          infodata:[]
      }
  },
 created () {
       this.getListMedicament()
  }
  ,
  methods:{
       show(status){
     if(status){
         this.$toasted.info('Suppression éffectuée avec success').goAway(2000);
     }
     else{
         this.$toasted.error('Impossible de supprimer cet elément').goAway(2000);
     }
 },
 handlerror(response){
     if(!response.ok){
         throw new Error(response.statusText);
     }
     return response.json()
 },
    getListMedicament(){
          const requestOptions = {
    method: "POST",
    headers: { "Content-Type": "application/json" },
    //body: JSON.stringify({ title: "Vue POST Request Example" })
  };
  fetch("http://127.0.0.1:8000/api/auth/medicament/liste", requestOptions)
    .then(response => response.json())
    .then(data => (this.infodata=data.data))
    
      },
       deleteMedicament(id){
          const requestOptions = {
    method: "POST",
    headers: { "Content-Type": "application/json" },
     };
  fetch("http://127.0.0.1:8000/api/auth/medicament/delete/"+id, requestOptions)
    .then(this.handlerror)
    .then(data => (console.log(data),this.show(true),this.getListMedicament()))
    .catch(err => (this.show(false),console.log(err)));
  } 
  }
}
</script>
